API documentation | API docs for agents | OpenAPI 3.1

PATCH /api/v1/spot-quotes/{spotQuoteId}

ark.update_spot_quote

Updates customer, freight, reference, schedule, and stop details on a visible active spot quote.

Availability
Expanded preview
Scopes
loads:write
ARK permissions
canEditLoad
Team visibility
Required and enforced
Idempotency-Key
Required for this write
Approval
No MCP approval on REST API-token calls
Rate limit
API credential and organization budgets

Parameters

spotQuoteIdpathstringrequired
format: uuid
Idempotency-Keyheaderstringrequired
Required for external write operations.
min length: 1; max length: 255

Request body

customerIdstring

format: uuid

customerEmailstring | null

format: email; max length: 254

currencystring

one of: USD, CAD, MXN

referenceNumberstring | null

max length: 100

loadClassificationstring | null

max length: 100

sylectusLoadTypeinteger | null
vehicleTypestring | null

max length: 100

piecesinteger | null

min: 1

dimensionsLengthnumber | null
dimensionsWidthnumber | null
dimensionsHeightnumber | null
dimensionsUnitstring

one of: inches, feet

weightnumber | null
weightUnitstring

one of: lbs, kg

stackableboolean
hazmatboolean
dockHighboolean
teamDriverRequiredboolean
tsaboolean
notesInternalstring | null

max length: 5000

notesExternalstring | null

max length: 5000

distanceMilesnumber | null

Example request

Shell
curl -X PATCH 'https://arktms.com/api/v1/spot-quotes/<spotQuoteId>' \
  -H "Authorization: Bearer $ARK_API_TOKEN" \
  -H "Idempotency-Key: <unique-key>" \
  -H "Content-Type: application/json" \
  -d '{}'

Success response

Updated spot quote

objectstringrequired
okbooleanrequired
api_versionstringrequired
request_idstringrequired
dataobjectrequired
data.spotQuoteIdstringrequired

format: uuid

data.sideEffectErrorstring | nullrequired

Errors

HTTP 400
Invalid request
HTTP 401
Authentication required
HTTP 403
Permission, scope, team, or entitlement denied
HTTP 404
Resource not found
HTTP 409
Idempotency conflict or in-progress retry